Listar lançamentos
curl --request GET \
--url https://api.accithus.com/v1/wallets/{id}/entries \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.accithus.com/v1/wallets/{id}/entries"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.accithus.com/v1/wallets/{id}/entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"direction": "credit",
"amount": 123,
"balance_after": 123,
"reference_type": "charge",
"reference_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"page": 123,
"perPage": 123,
"total": 123,
"totalPages": 123
}
}{
"success": false,
"message": "<string>",
"error": "<string>"
}Carteiras
Listar Lançamentos
Retorna lançamentos da carteira com filtros.
GET
/
v1
/
wallets
/
{id}
/
entries
Listar lançamentos
Authorizations
Autenticação via chave de API. Use publicKey:secretKey codificado em Base64 no header Authorization: Basic {credentials}.
Path Parameters
ID da carteira
Query Parameters
Tipo de referência
Available options:
charge, refund, chargeback, chargeback_reversal, withdrawal, fee, adjustment, transfer, receivable_settlement, anticipation, anticipation_fee, reserve_release Direção do lançamento
Available options:
credit, debit Data inicial (ISO 8601)
Data final (ISO 8601)
Número da página (mínimo: 1, padrão: 1)
Required range:
x >= 1Itens por página (1-100, padrão: 20)
Required range:
1 <= x <= 100